Bug 831258 - SELinux is preventing /usr/libexec/gstreamer-0.10/gst-plugin-scanner from 'remove_name' accesses on the directory orcexec.zU5ctv.
SELinux is preventing /usr/libexec/gstreamer-0.10/gst-plugin-scanner from 're...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:09a9eea0d0a6406f7859702b630...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-12 11:15 EDT by ishan
Modified: 2012-10-17 05:06 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-17 05:06:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description ishan 2012-06-12 11:15:47 EDT
libreport version: 2.0.10
executable:     /usr/bin/python2.7
hashmarkername: setroubleshoot
kernel:         3.4.0-1.fc17.x86_64
time:           Tue 12 Jun 2012 08:45:24 PM IST

description:
:SELinux is preventing /usr/libexec/gstreamer-0.10/gst-plugin-scanner from 'remove_name' accesses on the directory orcexec.zU5ctv.
:
:*****  Plugin catchall (100. confidence) suggests  ***************************
:
:If you believe that gst-plugin-scanner should be allowed remove_name access on the orcexec.zU5ctv directory by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep gst-plugin-scan /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                unconfined_u:unconfined_r:thumb_t:s0-s0:c0.c1023
:Target Context                unconfined_u:object_r:admin_home_t:s0
:Target Objects                orcexec.zU5ctv [ dir ]
:Source                        gst-plugin-scan
:Source Path                   /usr/libexec/gstreamer-0.10/gst-plugin-scanner
:Port                          <Unknown>
:Host                          (removed)
:Source RPM Packages           gstreamer-0.10.36-1.fc17.x86_64
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.10.0-128.fc17.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Permissive
:Host Name                     (removed)
:Platform                      Linux (removed) 3.4.0-1.fc17.x86_64 #1 SMP Sun Jun 3
:                              06:35:17 UTC 2012 x86_64 x86_64
:Alert Count                   1
:First Seen                    Tue 12 Jun 2012 08:33:59 PM IST
:Last Seen                     Tue 12 Jun 2012 08:33:59 PM IST
:Local ID                      8c516503-77c1-4c4e-b286-31e94ea16f52
:
:Raw Audit Messages
:type=AVC msg=audit(1339513439.979:347): avc:  denied  { remove_name } for  pid=21766 comm="gst-plugin-scan" name="orcexec.zU5ctv" dev="sda1" ino=933396 scontext=unconfined_u:unconfined_r:thumb_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:admin_home_t:s0 tclass=dir
:
:
:type=AVC msg=audit(1339513439.979:347): avc:  denied  { unlink } for  pid=21766 comm="gst-plugin-scan" name="orcexec.zU5ctv" dev="sda1" ino=933396 scontext=unconfined_u:unconfined_r:thumb_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:admin_home_t:s0 tclass=file
:
:
:type=SYSCALL msg=audit(1339513439.979:347): arch=x86_64 syscall=unlink success=yes exit=0 a0=1e9c640 a1=0 a2=0 a3=42ace3b609c items=0 ppid=21764 pid=21766 auid=1000 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=pts1 ses=1 comm=gst-plugin-scan exe=/usr/libexec/gstreamer-0.10/gst-plugin-scanner subj=unconfined_u:unconfined_r:thumb_t:s0-s0:c0.c1023 key=(null)
:
:Hash: gst-plugin-scan,thumb_t,admin_home_t,dir,remove_name
:
:audit2allowunable to open /sys/fs/selinux/policy:  Permission denied
:
:
:audit2allow -Runable to open /sys/fs/selinux/policy:  Permission denied
:
:
Comment 1 Daniel Walsh 2012-06-12 11:36:24 EDT
Are you running nautilus as root?

Does restorecon -R -v /root

Change any of the labels in the homedir?

Note You need to log in before you can comment on or make changes to this bug.